fields:
  blocksOptions:
    label: Page Builder
    type: headline
  blocks:
    label: Add blocks
    type: blocks
    columns: 1
    fieldsets:
      bodytext:
        name: Text block
        preview:
          snippet: blocks/text
        fields:
          text:
            label: Text
            type: textarea
            buttons: true
          sectionId:
            label: Section ID
            type: text

      pageimage:
        name: Full width image
        preview:
          snippet: blocks/pageimage
        fields:
          image:
            label: Select image
            type: files
            layout: list
            multiple: false
            templates:
              - image
            width: 1/2
          imageId:
            label: Image ID
            type: text
            width: 1/2
          imageHeight:
            label: Height
            type: radio
            options:
              small: Small
              medium: Medium
              large: Large
            width: 1/2
          imagePosition:
            label: Image Position
            type: radio
            options:
              top: top
              middle: middle
              bottom: bottom
            width: 1/2

      twocolumns:
        name: Two Columns
        preview:
          snippet: blocks/twocolumns
        fields:
          text1:
            label: Column 1
            type: textarea
            size: medium
            width: 1/2
          text2:
            label: Column 2
            type: textarea
            size: medium
            width: 1/2
          sectionId:
            label: Section ID
            type: text

      threecolumns:
        name: Three Columns
        preview:
          snippet: blocks/threecolumns
        fields:
          text1:
            label: Column 1
            type: textarea
            size: medium
            width: 1/3
          text2:
            label: Column 2
            type: textarea
            size: medium
            width: 1/3
          text3:
            label: Column 3
            type: textarea
            size: medium
            width: 1/3
          sectionId:
            label: Section ID
            type: text

      textimage:
        name: Text and image
        preview:
          snippet: blocks/textimage
        fields:
          text:
            label: Text
            type: textarea
            size: medium
            width: 2/3
          image:
            label: Image
            type: files
            layout: cards
            templates:
              - image
            width: 1/3
          sectionId:
            label: Section ID
            type: text
            width: 1/2
          reverseOrder:
            label: Reverse order?
            type: checkboxes
            options:
              reverse: Reverse
            help: Changes order from left to right
            width: 1/2
          imageHeight:
            label: Height
            type: radio
            options:
              small: Small
              medium: Medium
              large: Large
            width: 1/2
          imagePosition:
            label: Image Position
            type: radio
            options:
              top: top
              middle: middle
              bottom: bottom
            width: 1/2

      imageslider:
        name: Image Slider
        preview:
          snippet: blocks/imageslider
        fields:
          slides:
            label: Slides
            type: files
            layout: cards
            templates:
              - image
          imageslidertitle:
            label: Slider Title
            type: text
          showimageslidertitle:
            label: Show slider title
            type: checkboxes
            options:
              show: Show
            width: 1/2
            help: Displays above slider
          showimageslidercaptions:
            label: Show image captions
            type: checkboxes
            options:
              show: Show captions
            width: 1/2
            help: Add captions to the images in the Files list on the left

      imagesgallery:
        name: Image Galery
        preview:
          snippet: blocks/imagegallery
        fields:
          gallery:
            label: Selct Gallery Images
            type: files
            layout: cards
            templates:
              - image
          gallerytitle:
            label: Gallery Title
            type: text
          showtitle:
            label: Show title
            type: checkboxes
            options:
              show: Show title over image
            width: 1/2
